function main()
    local path = core.get_modpath("yams_farming") .. "/"
    dofile(path .. "graphic_overrides.lua")
    dofile(path .. "crafting.lua")

    dofile(path .. "carrot.lua")
    dofile(path .. "chili.lua")
    dofile(path .. "coffee.lua")
    dofile(path .. "lettuce.lua")
    dofile(path .. "melon.lua")
    dofile(path .. "obsidian_wart.lua")
    dofile(path .. "potato.lua")
    dofile(path .. "pumpkin.lua")
    dofile(path .. "rice.lua")
    dofile(path .. "strawberry.lua")
    dofile(path .. "tomato.lua")
end

if not farming.mod or farming.mod ~= "redo" then
    core.log("warning", "[yams_farming] Farming Redo not detected")
else
    main()
end

print("yams_farming loaded")
